@charset "UTF-8";

*{
    margin: 0;
    padding: 0;
}

#wrap{
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;
    width: 100%;
    height: 100vh;
    background-image: linear-gradient(-225deg, hsla(224, 49%, 55%, 0.5) 0%, rgba(177, 159, 255, 0.5) 48%, rgba(235, 161, 254, 0.5) 100%), url(image/pexels-photo-112854.jpeg);
    background-repeat: repeat,no-repeat;
    background-size: cover;
    font-family: 'Silkscreen','DotGothic16';
    animation: bggradient 20s ease infinite;
}

h1{
    font-weight: bold;
    text-align: center;
    line-height: 2;
    font-size: 9vw;
}

ul{
    line-height: 10vw;
}
a{
    color: black;
    text-decoration: none;
    font-size: 3.5vw;
}
a:hover{
    color: white;
}
a:active{
    color: deeppink;
}

p{
    position: absolute;
    bottom: 10px;
    right: 15px;
    text-align: right;
    color: black;
    font-size: 5vw;
}

footer{
    color: blue;
    text-align: center;
    font-size: 12px;
}
footer span{
    font-size: 0.3em;
}

@media screen and (min-width:501px){
    #wrap{
        background-image:linear-gradient(60deg, rgba(171, 236, 214, 0.5) 0%, rgba(251, 237, 150, 0.5) 100%), url(image/pexels-photo-112854.jpeg);
    }
    h1{
        font-size: 6vw;
    }
    ul{
        line-height: 3vw;
    }
    a{
        font-size: 1.5vw;
    }
}